thread.h File Reference
Utilities » Thread

`pipewire/thread.h` More...

Go to the source code of this file.

## Macros

#define | pw_thread_utils_create(...) spa_thread_utils_create(pw_thread_utils_get(), ##__VA_ARGS__)
#define | pw_thread_utils_join(...) spa_thread_utils_join(pw_thread_utils_get(), ##__VA_ARGS__)
#define | pw_thread_utils_get_rt_range(...) spa_thread_utils_get_rt_range(pw_thread_utils_get(), ##__VA_ARGS__)
#define | pw_thread_utils_acquire_rt(...) spa_thread_utils_acquire_rt(pw_thread_utils_get(), ##__VA_ARGS__)
#define | pw_thread_utils_drop_rt(...) spa_thread_utils_drop_rt(pw_thread_utils_get(), ##__VA_ARGS__)

## Functions

void | pw_thread_utils_set (struct spa_thread_utils *impl)
struct spa_thread_utils * | pw_thread_utils_get (void)

## Detailed Description

`pipewire/thread.h`